Subversion < 1.0.5 svnserver svn:// Protocol Handler Remote Overflow

This script is Copyright (C) 2004-2011 Tenable Network Security, Inc.

Synopsis :

The remote host has an application that is affected by a
heap overflow vulnerability.

Description :

A remote overflow exists in Subversion. svnserver fails to validate
svn:// requests resulting in a heap overflow. With a specially
crafted request, an attacker can cause arbitrary code execution
resulting in a loss of integrity.

Solution :

Upgrade to version 1.0.5 or newer.

Risk factor :

Critical / CVSS Base Score : 10.0
CVSS Temporal Score : 7.4
Public Exploit Available : false

Family: Misc.

Nessus Plugin ID: 12284 ()

Bugtraq ID: 10519

CVE ID: CVE-2004-0413